| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::PropertyName Class Referencefinal

`#include <src/JobOptionsSvc/PropertyName.h>`

Collaboration diagram for Gaudi::Parsers::PropertyName:
[legend]

## Public Member Functions
| PropertyName (std::string property)
| PropertyName (std::string property, const Position &pos)
| PropertyName (std::string client, std::string property)
| PropertyName (std::string client, std::string property, Position pos)
const std::string & | client () const
const std::string & | property () const
const Position & | position () const
std::string | FullName () const
std::string | ToString () const
bool | HasClient () const
bool | HasPosition () const

## Private Attributes
std::string | client_
std::string | property_
Position | position_

## Detailed Description

Definition at line 16 of file PropertyName.h.

## Constructor & Destructor Documentation

## ◆ PropertyName() [1/4]

Gaudi::Parsers::PropertyName::PropertyName | ( | std::string | property | ) |
| inline explicit

Definition at line 19 of file PropertyName.h.

19 : property_( std::move( property ) ) {}
Gaudi::Parsers::PropertyName::property
const std::string & property() const
Definition: PropertyName.h:27
Gaudi::Parsers::PropertyName::property_
std::string property_
Definition: PropertyName.h:36
std::move
T move(T... args)

## ◆ PropertyName() [2/4]

Gaudi::Parsers::PropertyName::PropertyName | ( | std::string | property,
|  | const Position & | pos
| ) |  |
| inline

Definition at line 20 of file PropertyName.h.

21 : property_( std::move( property ) ), position_( pos ) {}
Gaudi::Parsers::PropertyName::position_
Position position_
Definition: PropertyName.h:37
Gaudi::Parsers::PropertyName::property
const std::string & property() const
Definition: PropertyName.h:27
Gaudi::Parsers::PropertyName::property_
std::string property_
Definition: PropertyName.h:36
std::move
T move(T... args)

## ◆ PropertyName() [3/4]

Gaudi::Parsers::PropertyName::PropertyName | ( | std::string | client,
|  | std::string | property
| ) |  |
| inline

Definition at line 22 of file PropertyName.h.

23 : client_( std::move( client ) ), property_( std::move( property ) ) {}
Gaudi::Parsers::PropertyName::property
const std::string & property() const
Definition: PropertyName.h:27
Gaudi::Parsers::PropertyName::client
const std::string & client() const
Definition: PropertyName.h:26
Gaudi::Parsers::PropertyName::property_
std::string property_
Definition: PropertyName.h:36
std::move
T move(T... args)
Gaudi::Parsers::PropertyName::client_
std::string client_
Definition: PropertyName.h:35

## ◆ PropertyName() [4/4]

Gaudi::Parsers::PropertyName::PropertyName | ( | std::string | client,
|  | std::string | property,
|  | Position | pos
| ) |  |
| inline

Definition at line 24 of file PropertyName.h.

25 : client_( std::move( client ) ), property_( std::move( property ) ), position_( std::move( pos ) ) {}
Gaudi::Parsers::PropertyName::position_
Position position_
Definition: PropertyName.h:37
Gaudi::Parsers::PropertyName::property
const std::string & property() const
Definition: PropertyName.h:27
Gaudi::Parsers::PropertyName::client
const std::string & client() const
Definition: PropertyName.h:26
Gaudi::Parsers::PropertyName::property_
std::string property_
Definition: PropertyName.h:36
std::move
T move(T... args)
Gaudi::Parsers::PropertyName::client_
std::string client_
Definition: PropertyName.h:35

## Member Function Documentation

## ◆ client()

const std::string& Gaudi::Parsers::PropertyName::client | ( |  | ) | const
| inline

Definition at line 26 of file PropertyName.h.

26 { return client_; }
Gaudi::Parsers::PropertyName::client_
std::string client_
Definition: PropertyName.h:35

## ◆ FullName()

std::string Gaudi::Parsers::PropertyName::FullName | ( |  | ) | const

Definition at line 6 of file PropertyName.cpp.

6 { return ( HasClient() ? client_ + "." : "" ) + property_; }
Gaudi::Parsers::PropertyName::property_
std::string property_
Definition: PropertyName.h:36
Gaudi::Parsers::PropertyName::HasClient
bool HasClient() const
Definition: PropertyName.h:31
Gaudi::Parsers::PropertyName::client_
std::string client_
Definition: PropertyName.h:35

## ◆ HasClient()

bool Gaudi::Parsers::PropertyName::HasClient | ( |  | ) | const
| inline

Definition at line 31 of file PropertyName.h.

31 { return !client_.empty(); }
std::string::empty
T empty(T... args)
Gaudi::Parsers::PropertyName::client_
std::string client_
Definition: PropertyName.h:35

## ◆ HasPosition()

bool Gaudi::Parsers::PropertyName::HasPosition | ( |  | ) | const
| inline

Definition at line 32 of file PropertyName.h.

32 { return position_.Exists(); }
Gaudi::Parsers::PropertyName::position_
Position position_
Definition: PropertyName.h:37
Gaudi::Parsers::Position::Exists
bool Exists() const
Definition: Position.h:23

## ◆ position()

const Position& Gaudi::Parsers::PropertyName::position | ( |  | ) | const
| inline

Definition at line 28 of file PropertyName.h.

28 { return position_; }
Gaudi::Parsers::PropertyName::position_
Position position_
Definition: PropertyName.h:37

## ◆ property()

const std::string& Gaudi::Parsers::PropertyName::property | ( |  | ) | const
| inline

Definition at line 27 of file PropertyName.h.

27 { return property_; }
Gaudi::Parsers::PropertyName::property_
std::string property_
Definition: PropertyName.h:36

## ◆ ToString()

std::string Gaudi::Parsers::PropertyName::ToString | ( |  | ) | const

Definition at line 8 of file PropertyName.cpp.

8 { return FullName(); }
Gaudi::Parsers::PropertyName::FullName
std::string FullName() const
Definition: PropertyName.cpp:6

## Member Data Documentation

## ◆ client_

std::string Gaudi::Parsers::PropertyName::client_
| private

Definition at line 35 of file PropertyName.h.

## ◆ position_

Position Gaudi::Parsers::PropertyName::position_
| private

Definition at line 37 of file PropertyName.h.

## ◆ property_

std::string Gaudi::Parsers::PropertyName::property_
| private

Definition at line 36 of file PropertyName.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/PropertyName.h
- GaudiCoreSvc/src/JobOptionsSvc/PropertyName.cpp